Appearance
退款
请求地址:POST
/api/refund
请求参数
| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
uniqueId | String(128) | 必填 | 原交易系统返回唯一交易 ID |
amount | Number(12,3) | 必填 | 退款金额 |
refundTransactionId | String(128) | 必填 | 商户退款 ID |
remark | String(255) | 选填 | 退款备注 |
请求实例
json
{
"uniqueId": 160402055925403481,
"refundTransactionId": "1234567890123456",
"amount": 39.1,
"remark": "request refund"
}返回实例
退款申请成功
json
{
"code": 110,
"refundTransactionId": "1677816791",
"uniqueId": "1631507932124540930",
"refundUniqueId": "1631507992681902081",
"refundCurrency": "USD",
"refundAmount": "1.00",
"refundRequestAt": "2023-03-03 13:59:15",
"refundAt": "2023-03-03 14:02:01",
"message": "Refund request successful",
"timestamp": 1677816792069
}退款申请失败
json
{
"code": 112,
"message": "The refund amount is greater than the transaction amount",
"timestamp": 1677816881662
}